import { HttpClient } from '@angular/common/http';
import { EntityBusinessNatureHdrContainerModel } from '../../../../../../models/aggregates/erp/entity';
import { BaseApiTemplateService, Pagination } from '../../shared';
import { ApiVisa } from '../../shared/api-visa.model';
import { ApiResponseModel, BasicApiResponseModel, PagingResponseModel } from '../../shared/api-response.model';
import { Observable } from 'rxjs';
export declare class EntityBusinessNatureHdrService extends BaseApiTemplateService<EntityBusinessNatureHdrContainerModel> {
    constructor(http: HttpClient);
    getPublic(visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getByGuid(guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getByCriteria(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<any>>;
    delete(guid: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    put(dtoObject: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    post(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
